Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.addon.tablegenerator.TableBorderInfo Class Reference

Inherits SystemIDisposable.

## Public Types
enum | TableBorderStyle { TableBorderStyle.e_TableBorderStyleSolid = 0, TableBorderStyle.e_TableBorderStyleDashed = 1 }
| Enumeration for PDF annotation type. More...

## Public Member Functions
| TableBorderInfo ()
| Constructor.
| TableBorderInfo (TableBorderInfo.TableBorderStyle table_border_style, float line_width, uint color, float dash_phase, FloatArray dashes)
| Constructor, with parameters. More...
| TableBorderInfo (TableBorderInfo table_border_info)
| Constructor, with another table border information object. More...
void | Set (TableBorderInfo.TableBorderStyle table_border_style, float line_width, uint color, float dash_phase, FloatArray dashes)
| Set value. More...

## Properties
uint | color`[get, set]`
| The table border color. Format: 0xAARRGGBB.
float | dash_phase`[get, set]`
| Dash phase.It should not be negative. Only useful when parameter style</ i> is foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle.e_TableBorderStyleDashed . Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
FloatArray? | dashes`[get, set]`
| A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle.e_TableBorderStyleDashed . Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
float | line_width`[get, set]`
| Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
TableBorderInfo.TableBorderStyle | table_border_style`[get, set]`
| Table border style. Please refer to values starting from foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle.e_TableBorderStyleSolid and this should be one of these values.

## Detailed Description

This class represents table border information.

## Member Enumeration Documentation

## ◆ TableBorderStyle

enum foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle
| strong

Enumeration for PDF annotation type.

Values of this enumeration should be used alone.

Enumerator
e_TableBorderStyleSolid | Table border style: Solid.
e_TableBorderStyleDashed | Table border style: Dashed.

## Constructor & Destructor Documentation

## ◆ TableBorderInfo() [1/2]

foxit.addon.tablegenerator.TableBorderInfo.TableBorderInfo | ( | TableBorderInfo.TableBorderStyle | table_border_style,
|  | float | line_width,
|  | uint | color,
|  | float | dash_phase,
|  | FloatArray | dashes
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle.e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle.e_TableBorderStyleDashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle.e_TableBorderStyleDashed .

## ◆ TableBorderInfo() [2/2]

foxit.addon.tablegenerator.TableBorderInfo.TableBorderInfo | ( | TableBorderInfo | table_border_info | ) |
| inline

Constructor, with another table border information object.

Parameters

  [in] | table_border_info | Another table border information object.

## Member Function Documentation

## ◆ Set()

void foxit.addon.tablegenerator.TableBorderInfo.Set | ( | TableBorderInfo.TableBorderStyle | table_border_style,
|  | float | line_width,
|  | uint | color,
|  | float | dash_phase,
|  | FloatArray | dashes
| ) |  |
| inline

Set value.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle.e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle.e_TableBorderStyleDashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is foxit.addon.tablegenerator.TableBorderInfo.TableBorderStyle.e_TableBorderStyleDashed .

Returns
  None.